Subject: Re: [PATCH] powerpc/hvsi: Fix endianness issues in the HVSI driver

From: Laurent Dufour <[email-masked]>
Date: Wed, 19 Aug 2015 23:53:45 +0200

On 04/08/2015 02:51, Michael Ellerman wrote:
> On Fri, 2015-07-31 at 11:29 +0200, Laurent Dufour wrote:
>> This patch fixes several endianness issues detected when running the HVSI
>> driver in little endian mode.
>>
>> These issues are raised in little endian mode because the data exchanged in
>> memory between the kernel and the hypervisor has to be in big endian
>> format.
> 
> Can you include the sparse output before and after?

Hi Michael,

Here is the output message displayed on the console when the bug occurred:

[    0.000517] irq: (null) didn't like hwirq-0x1000a00 to VIRQ16 mapping
(rc=-22)
[    0.000578] hvsi_console_init: couldn't create irq mapping for 0x1000a00

With the patch is applied, the hvsi driver is initializing correctly and
no message is displayed, except the one saying the number of device the
hvsi driver has configured. For instance:
[    1.535783] HVSI: registered 1 devices

Cheers,
Laurent.